org.apache.cayenne.ejbql.parser

## Class EJBQLDbPath

- java.lang.Object
- - org.apache.cayenne.ejbql.parser.SimpleNode
  - - org.apache.cayenne.ejbql.parser.EJBQLPath
    - - org.apache.cayenne.ejbql.parser.EJBQLDbPath

- All Implemented Interfaces:
    Serializable, EJBQLExpression, Node

      public class EJBQLDbPath
      extends EJBQLPath

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBQLDbPath(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `visitChild(EJBQLExpressionVisitor visitor, int childIndex)` Recursively visits a child at the specified index.
    `protected boolean` | `visitNode(EJBQLExpressionVisitor visitor)` Visits this node without recursion.

    - ### Methods inherited from class org.apache.cayenne.ejbql.parser.EJBQLPath

      `getAbsolutePath, getId, getRelativePath`

    - ### Methods inherited from class org.apache.cayenne.ejbql.parser.SimpleNode

      `getChild, getChildrenCount, getName, getText, isNegated, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setText, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EJBQLDbPath

          public EJBQLDbPath(int id)

  - ### Method Detail

    - #### visitChild

          protected boolean visitChild(EJBQLExpressionVisitor visitor,
                           int childIndex)

      Description copied from class: `SimpleNode`
      Recursively visits a child at the specified index. Subclasses override this method if they desire to implement callbacks after visiting each child.
      Overrides:
        `visitChild` in class `EJBQLPath`

    - #### visitNode

          protected boolean visitNode(EJBQLExpressionVisitor visitor)

      Description copied from class: `SimpleNode`
      Visits this node without recursion. Default implementation simply returns true. Subclasses override this method to call an appropriate visitor method.
      Overrides:
        `visitNode` in class `EJBQLPath`

Copyright © 2001–2014 Apache Cayenne. All rights reserved.